Module | ActiveRecord::ConnectionAdapters::Quoting
In: | lib/active_record/connection_adapters/abstract/quoting.rb

### Methods

quote quote_column_name quote_string quoted_date quoted_false quoted_true

### Public Instance methods

quote(value, column = nil)

Quotes the column value to help prevent SQL injection attacks.

quote_column_name(name)

Returns a quoted form of the column name. This is highly adapter specific.

quote_string(s)

Quotes a string, escaping any ’ (single quote) and \ (backslash) characters.

quoted_date(value)
quoted_false()
quoted_true()

[Validate]